Package net.shibboleth.profile.context.navigate

# Class ServletRequestProfileRequestContextLookup

java.lang.Object
net.shibboleth.profile.context.navigate.ServletRequestProfileRequestContextLookup

All Implemented Interfaces:
  `Function<ServletRequest,ProfileRequestContext>`

public class ServletRequestProfileRequestContextLookup extends Object implements Function<ServletRequest,ProfileRequestContext>
Looks up the profile request context from a servlet request attribute.

## Constructor Summary

Constructors
Constructor
Description
`ServletRequestProfileRequestContextLookup()`

## Method Summary

Modifier and Type
Method
Description
`ProfileRequestContext`
`apply(ServletRequest input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ServletRequestProfileRequestContextLookup

public ServletRequestProfileRequestContextLookup()

## Method Details

### apply

@Nullable public ProfileRequestContext apply(@Nullable ServletRequest input)

Specified by:
  `apply` in interface `Function<ServletRequest,ProfileRequestContext>`